# Gst::MessageEos Class Reference

An end of stream message. More...

Inheritance diagram for Gst::MessageEos:
[legend]
Collaboration diagram for Gst::MessageEos:
[legend]

List of all members.

## Public Member Functions

| MessageEos (GstMessage* castitem)

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src)
| Create a new eos message.

## Detailed Description

An end of stream message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageEos::MessageEos | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageEos::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) | `[static]`

Create a new eos message.

This message is generated and posted in the sink elements of a Gst::Bin. The bin will only forward the EOS message to the application if all sinks have posted an EOS message.

Parameters:

  src | The object originating the message.

Returns:
  The new eos message. MT safe.

The documentation for this class was generated from the following file:

- gstreamermm/message.h